% autor: kaneda
% grafic practica 6
% titol: valors de y en funcio de x^2

\documentclass{standalone}

\usepackage{pgfplots}
\usepackage{pgfplotstable}
\pgfplotsset{compat = newest}

\begin{document}

\begin{tikzpicture}
\begin{axis}[
    width = \textwidth,
    height = \textwidth,
    xlabel={\Large $x^2$ (m$^2$)},
    ylabel={\Large $y$ (m)},
    scaled y ticks = base 10:2,
    scaled x ticks = base 10:2,
    legend cell align = {left},
    legend pos=north west
 ]

% plot data
\addplot[
    teal,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit,
] table[x=x, y=y, y error=errory, x error=errorx] {1kv.dat};

\addplot[
    green!50!gray,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit,
] table[x=x, y=y, y error=errory, x error=errorx]{2kv.dat};

\addplot[
    brown,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit
] table[x=x, y=y, y error=errory, x error=errorx]{3kv.dat};

\addplot[
    orange,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit
] table[x=x, y=y, y error=errory, x error=errorx] {4kv.dat};

% linear regressions
\addplot[
    teal!50
] table[
    x = x,
    y = {create col/linear regression={y=y}}
] {1kv.dat};

\addplot[
    green!50!gray!50
] table[
    x = x,
    y = {create col/linear regression={y=y}}
] {2kv.dat};

\addplot[
    brown
] table[
    x = x,
    y = {create col/linear regression={y=y}}
] {3kv.dat};

\addplot[
    orange
] table[
    x = x,
    y = {create col/linear regression={y=y}}
] {4kv.dat};

% add legend
\addlegendentry{\Large $V_p=1$ kV}
\addlegendentry{\Large $V_p=2$ kV}
\addlegendentry{\Large $V_p=3$ kV}
\addlegendentry{\Large $V_p=4$ kV};

\end{axis}
\end{tikzpicture}

\end{document}
